package com.zehong.gassdevicereport.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 报警信息对象 t_device_alarm
 * 
 * @author zehong
 * @date 2021-08-03
 */
@Data
public class TDeviceAlarm
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long alarmId;

    /** 设备id */
    private Long deviceId;

    private String deviceType;

    /** 工单id */
    private String orderId;

    /** 报警类型 */
    private String alarmType;

    /** 报警值（报警信息） */
    private String alarmValue;

    /** 报警开始时间 */
    private Date startTime;

    /** 报警结束时间 */
    private Date endTime;

    /** 
处理状态（1不需处理，2已处理完成，3未处理完成） */
    private String dealStatus;

    /** 创建时间 */
    private Date createTime;

    /** 更新时间 */
    private Date updateTime;

}
