package com.zehong.gassdevicereport.entity;

import lombok.Data;
import java.util.Date;

/**
 * 关联设备对象 t_relation_device_info
 * 
 * @author zehong
 * @date 2023-03-27
 */
@Data
public class TRelationDeviceInfo {

    /** 主键id */
    private Long relationId;

    /** 关联设备id */
    private Long relationDeviceId;

    /** 设备名称 */
    private String deviceName;

    /** 设备编号 */
    private String deviceCode;

    /** 是否删除：0否，1是 */
    private String isDel;
    /** 创建时间 */
    private Date createTime;

    /** 更新时间 */
    private Date updateTime;

    private String remark;

    private Long deviceId;

    private String deviceType;
}
